Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class HasSupport

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.HasSupport

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class HasSupport

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Has Support', and utility methods for working with them. specDomain: V10330 (C-0-D10317-V10329-V10330-cpt)

See Also:
  `CDAR2Package.getHasSupport()`

Field Summary
`static int` | `SPRT` The 'SPRT' literal value.
`static HasSupport` | `SPRT_LITERAL` The 'SPRT' literal object.
`static int` | `SPRTBND` The 'SPRTBND' literal value.
`static HasSupport` | `SPRTBND_LITERAL` The 'SPRTBND' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Has Support' enumerators.

Method Summary
`static HasSupport` | `get(int value)` Returns the 'Has Support' literal with the specified integer value.
`static HasSupport` | `get(java.lang.String literal)` Returns the 'Has Support' literal with the specified literal value.
`static HasSupport` | `getByName(java.lang.String name)` Returns the 'Has Support' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SPRT

    public static final int SPRT

  The 'SPRT' literal value.

  If the meaning of 'SPRT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPRT_LITERAL`, Constant Field Values

### SPRTBND

    public static final int SPRTBND

  The 'SPRTBND' literal value.

  If the meaning of 'SPRTBND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPRTBND_LITERAL`, Constant Field Values

### SPRT_LITERAL

    public static final HasSupport SPRT_LITERAL

  The 'SPRT' literal object.

  See Also:
    `SPRT`

### SPRTBND_LITERAL

    public static final HasSupport SPRTBND_LITERAL

  The 'SPRTBND' literal object.

  See Also:
    `SPRTBND`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Has Support' enumerators.

Method Detail

### get

    public static HasSupport get(java.lang.String literal)

  Returns the 'Has Support' literal with the specified literal value.

### getByName

    public static HasSupport getByName(java.lang.String name)

  Returns the 'Has Support' literal with the specified name.

### get

    public static HasSupport get(int value)

  Returns the 'Has Support' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD